# ADAM

1.0 - Parallel version of the SCI-synergy project available at: https://gitlab.com/InfoKnow/SocialNetwork/aureliocosta-sci-synergy. This version has been completely remodeled in Java with new features:

    New graph views
    Disambiguation of authors' names



ADAM (Agent Disambiguation Author naMe) is a project that uses a multi-agent approach to disambiguate authors' names in digital bibliographic repositories.

1.1 - DesambAgent - ADAM(Agent Disambiguation Author naMe) Genesis

Name disambiguation module using a multi-agent approach with JADE. Made as a final project of the discipline "Multiagent Systems" offered by CIC / University of Brasília.

    It has the same objective as DesambModule (1.0), but uses a multi-agent strategy.
    New types of comparison and similarity of strings (Dice, Cosine) have been added

To run, compile and run "RunAgents.java" and configure your Neo4j database entries in the "AgenteMestre.java" file.

The documentation with the architectures is available in the folder "agent_arquitectures".
